Subject: Re: Linux booting problem on Xilinx ppc

From: aauer1 <[email-masked]>
Date: Wed, 17 Oct 2007 11:56:46 -0700 (PDT)

Thanks. Now, I get the output over the serial line!!!!

Thanks, very much!
Andreas

Grant Likely-2 wrote:
> 
> On 10/17/07, aauer1 <[email-masked]> wrote:
>>
>>
>> Grant Likely-2 wrote:
>> >
>> > On 10/17/07, aauer1 <[email-masked]> wrote:
>> >> Now, I know that the kernel boots but I don't get an output with my
>> >> Xilinx
>> >> UartLite module. Are there some kernel modules which must be
>> activated??
>> >> Btw. I have used the Linux-2.6-virtex kernel from
>> >> http://git.secretlab.ca/git/ and another Kernel (2.6.23 from
>> kernel.org)
>> >> -
>> >> both with the same result.
>> >
>> > Post the output of __log_buf here please.
>> >
>> >
>>
>> Here is my dump of the __log_buf:
>> ======================
>> <5>[    0.000000] Linux version 2.6.23-rc2
>> ([email-masked]) (gcc version 4.0.0 (DENX ELDK 4.1
>> 4.0
>> .0)) #8 Wed Oct 17 20:05:28 CEST 2007
>> <6>[    0.000000] Xilinx ML403 Reference System (Virtex-4 FX)
>> <7>[    0.000000] Entering add_active_range(0, 0, 16384) 0 entries of 256
>> used
>> <4>[    0.000000] Zone PFN ranges:
>> <4>[    0.000000]   DMA             0 ->    16384
>> <4>[    0.000000]   Normal      16384 ->    16384
>> <4>[    0.000000] Movable zone start PFN for each node
>> <4>[    0.000000] early_node_map[1] active PFN ranges
>> <4>[    0.000000]     0:        0 ->    16384
>> <7>[    0.000000] On node 0 totalpages: 16384
>> <7>[    0.000000]   DMA zone: 128 pages used for memmap
>> <7>[    0.000000]   DMA zone: 0 pages reserved
>> <7>[    0.000000]   DMA zone: 16256 pages, LIFO batch:3
>> <7>[    0.000000]   Normal zone: 0 pages used for memmap
>> <7>[    0.000000]   Movable zone: 0 pages used for memmap
>> <4>[    0.000000] Built 1 zonelists in Zone order.  Total pages: 16256
>> <5>[    0.000000] Kernel command line: console=ttUL0 root=/dev/xsysace2
>> rw
> 
> Typo!  :-)
> 
> Try  "ttyUL0"
> 
> g.
> 
> 
> -- 
> Grant Likely, B.Sc., P.Eng.
> Secret Lab Technologies Ltd.
> [email-masked]
> (403) 399-0195
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/Linux-booting-problem-on-Xilinx-ppc-tf4449060.html#a13260526
Sent from the linuxppc-embedded mailing list archive at Nabble.com.